util.ui

## Class LazyImageIcon

- java.lang.Object
- - javax.swing.ImageIcon
  - - util.ui.LazyImageIcon

- All Implemented Interfaces:
    java.io.Serializable, javax.accessibility.Accessible, javax.swing.Icon, javax.swing.plaf.UIResource

      public class LazyImageIcon
      extends javax.swing.ImageIcon
      implements javax.swing.plaf.UIResource

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.ImageIcon

      `javax.swing.ImageIcon.AccessibleImageIcon`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.ImageIcon

      `component, tracker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LazyImageIcon(java.net.URL location)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIconHeight()`
    `int` | `getIconWidth()`
    `java.awt.Image` | `getImage()`
    `void` | `paintIcon(java.awt.Component c, java.awt.Graphics g, int x, int y)`

    - ### Methods inherited from class javax.swing.ImageIcon

      `getAccessibleContext, getDescription, getImageLoadStatus, getImageObserver, loadImage, setDescription, setImage, setImageObserver, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LazyImageIcon

          public LazyImageIcon(java.net.URL location)

  - ### Method Detail

    - #### paintIcon

          public void paintIcon(java.awt.Component c,
                       java.awt.Graphics g,
                       int x,
                       int y)

      Specified by:
        `paintIcon` in interface `javax.swing.Icon`
      Overrides:
        `paintIcon` in class `javax.swing.ImageIcon`

    - #### getIconWidth

          public int getIconWidth()

      Specified by:
        `getIconWidth` in interface `javax.swing.Icon`
      Overrides:
        `getIconWidth` in class `javax.swing.ImageIcon`

    - #### getIconHeight

          public int getIconHeight()

      Specified by:
        `getIconHeight` in interface `javax.swing.Icon`
      Overrides:
        `getIconHeight` in class `javax.swing.ImageIcon`

    - #### getImage

          public java.awt.Image getImage()

      Overrides:
        `getImage` in class `javax.swing.ImageIcon`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)